BasicRadioButtonUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicRadioButtonUI class
Date: 2016-04-24

javax.swing.plaf.basic

## Class BasicRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI

- Direct Known Subclasses:
    BasicCheckBoxUI, MetalRadioButtonUI

      public class BasicRadioButtonUI
      extends BasicToggleButtonUI

  RadioButtonUI implementation for BasicRadioButtonUI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Icon` | `icon` The icon.

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicRadioButtonUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)` Returns an instance of `BasicRadioButtonUI`.
    `Icon` | `getDefaultIcon()` Returns the default icon.
    `Dimension` | `getPreferredSize(JComponent c)` The preferred size of the radio button
    `protected String` | `getPropertyPrefix()`
    `protected void` | `installDefaults(AbstractButton b)`
    `protected void` | `installListeners(AbstractButton button)`
    `void` | `paint(Graphics g, JComponent c)` paint the radio button
    `protected void` | `paintFocus(Graphics g, Rectangle textRect, Dimension size)` Paints focused radio button.
    `protected void` | `uninstallDefaults(AbstractButton b)`
    `protected void` | `uninstallListeners(AbstractButton button)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### icon

          protected Icon icon

      The icon.

  - ### Constructor Detail

    - #### BasicRadioButtonUI

          public BasicRadioButtonUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

      Returns an instance of `BasicRadioButtonUI`.
      Parameters:
        `b` - a component
      Returns:
        an instance of `BasicRadioButtonUI`

    - #### getPropertyPrefix

          protected String getPropertyPrefix()

      Overrides:
        `getPropertyPrefix` in class `BasicToggleButtonUI`

    - #### installDefaults

          protected void installDefaults(AbstractButton b)

      Overrides:
        `installDefaults` in class `BasicButtonUI`

    - #### uninstallDefaults

          protected void uninstallDefaults(AbstractButton b)

      Overrides:
        `uninstallDefaults` in class `BasicButtonUI`

    - #### getDefaultIcon

          public Icon getDefaultIcon()

      Returns the default icon.
      Returns:
        the default icon

    - #### installListeners

          protected void installListeners(AbstractButton button)

      Overrides:
        `installListeners` in class `BasicButtonUI`

    - #### uninstallListeners

          protected void uninstallListeners(AbstractButton button)

      Overrides:
        `uninstallListeners` in class `BasicButtonUI`

    - #### paint

          public void paint(Graphics g,
                            JComponent c)

      paint the radio button
      Overrides:
        `paint` in class `BasicToggleButtonUI`
      Parameters:
        `g` - the `Graphics` context in which to paint
        `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

    - #### paintFocus

          protected void paintFocus(Graphics g,
                                    Rectangle textRect,
                                    Dimension size)

      Paints focused radio button.
      Parameters:
        `g` - an instance of `Graphics`
        `textRect` - bounds
        `size` - the size of radio button

    - #### getPreferredSize

          public Dimension getPreferredSize(JComponent c)

      The preferred size of the radio button
      Overrides:
        `getPreferredSize` in class `BasicButtonUI`
      Parameters:
        `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.